#
# spec file for package libqt5-qtwebview
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define qt5_snapshot 0

%define libname libQt5WebView5

Name:           libqt5-qtwebview
Version:        5.9.7
Release:        lp151.1.2
Summary:        Qt 5 WebView Library
License:        SUSE-LGPL-2.1-with-digia-exception-1.1 or GPL-3.0
Group:          Development/Libraries/X11
Url:            https://www.qt.io
%define base_name libqt5
%define real_version 5.9.7
%define so_version 5.9.7
%define tar_version qtwebview-opensource-src-5.9.7
Source:         https://download.qt.io/official_releases/qt/5.9/%{real_version}/submodules/%{tar_version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  libQt5Core-private-headers-devel >= %{version}
BuildRequires:  libqt5-qtwebengine-private-headers-devel >= %{version}
BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Network) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Sql) >= %{version}
BuildRequires:  pkgconfig(openssl)
%if %qt5_snapshot
#to create the forwarding headers
BuildRequires:  perl
%endif
BuildRequires:  xz
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %ix86 x86_64 %arm aarch64 mips mips64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Qt WebView provides a way to display web content in a QML application
without necessarily including a full web browser stack by using
native APIs where it makes sense.

%prep
%setup -q -n qtwebview-opensource-src-%{real_version}

%package -n %libname
Summary:        Qt 5 WebView Library
Group:          Development/Libraries/X11
%requires_ge libQt5Network5

%description -n %libname
Qt WebView provides a way to display web content in a QML application
without necessarily including a full web browser stack by using
native APIs where it makes sense.

%package -n %libname-imports
Summary:        Qt 5 WebView Library - QML imports
Group:          Development/Libraries/X11
Supplements:    packageand(%libname:libQtQuick5)
# imports splited with 5.4.1
Conflicts:      %libname < 5.4.1
%requires_ge libQtQuick5

%description -n %libname-imports
Qt WebView provides a way to display web content in a QML application
without necessarily including a full web browser stack by using
native APIs where it makes sense.

%package devel
Summary:        Development files for the Qt5's Webview library
Group:          Development/Libraries/X11
Requires:       %libname = %{version}

%description devel
You need this package if you want to compile programs with QtWebView.

%package private-headers-devel
Summary:        Non-ABI stable experimental API for Qt5's Webview library
Group:          Development/Libraries/C and C++
BuildArch:      noarch
Requires:       %{name}-devel = %{version}
Requires:       libQt5Core-private-headers-devel >= %{version}

%description private-headers-devel
This package provides private headers of libqt5-qtwebview that are normally
not used by application development and that do not have any ABI or
API guarantees. The packages that build against these have to require
the exact Qt version.

%package examples
Summary:        Qt5 webview examples
Group:          Development/Libraries/X11
Recommends:     %{name}-devel

%description examples
Examples for libqt5-qtwebview module.

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%build
%if %qt5_snapshot
#force the configure script to generate the forwarding headers (it checks whether .git directory exists)
mkdir .git
%endif
%qmake5
%make_jobs

%install
%qmake5_install
# kill .la files
rm -f %{buildroot}%{_libqt5_libdir}/lib*.la

%files -n %libname
%defattr(-,root,root,755)
%doc *GPL*
%{_libqt5_libdir}/libQt5WebView.so.*

%files -n %libname-imports
%defattr(-,root,root,755)
%doc *GPL*
%{_libqt5_archdatadir}/qml/QtWebView/

%files private-headers-devel
%defattr(-,root,root,755)
%doc *GPL*
%{_libqt5_includedir}/Qt*/%{so_version}

%files devel
%defattr(-,root,root,755)
%doc *GPL*
%{_libqt5_includedir}/QtWebView
%exclude %{_libqt5_includedir}/Qt*/%{so_version}
%{_libqt5_includedir}/QtWebView
%{_libqt5_libdir}/cmake/Qt5*
%{_libqt5_libdir}/libQt5WebView.prl
%{_libqt5_libdir}/libQt5WebView.so
%{_libqt5_libdir}/pkgconfig/Qt5WebView.pc
%{_libqt5_archdatadir}/mkspecs/modules/*.pri

%files examples
%defattr(-,root,root,755)
%doc *GPL*
%{_libqt5_examplesdir}/

%changelog
* Tue Oct 23 2018 fabian@ritter-vogt.de
- Update to 5.9.7:
  * New bugfix release
  * http://code.qt.io/cgit/qt/qtwebview.git/plain/dist/changes-5.9.7/?h=v5.9.7
* Wed Jun  6 2018 fabian@ritter-vogt.de
- Update to 5.9.6
  * New bugfix release
  * For more details please see:
  * http://code.qt.io/cgit/qt/qtwebview.git/plain/dist/changes-5.9.6/?h=v5.9.6
* Mon Apr 23 2018 fabian@ritter-vogt.de
- Update to 5.9.5
  * New bugfix release
  * For more details please see:
  * http://code.qt.io/cgit/qt/qtwebview.git/plain/dist/changes-5.9.5/?h=v5.9.5
* Thu Jan 25 2018 fabian@ritter-vogt.de
- Update to 5.9.4:
  * New bugfix release
  * For more details, see
    http://code.qt.io/cgit/qt/qtwebview.git/tree/dist/changes-5.9.4/?h=v5.9.4
* Sat Nov 25 2017 fabian@ritter-vogt.de
- Update to 5.9.3
  * New bugfix release
  * For more details, see:
    http://code.qt.io/cgit/qt/qtwebview.git/tree/dist/changes-5.9.3/?h=v5.9.3
* Sun Oct  8 2017 lbeltrame@kde.org
- Update to 5.9.2
  * For more details please see:
    https://blog.qt.io/blog/2017/10/06/qt-5-9-2-released/
* Sat Jul  1 2017 lbeltrame@kde.org
- Update to 5.9.1
  * For more details please see:
    http://blog.qt.io/blog/2017/06/30/qt-5-9-1-released/
* Wed May 31 2017 fabian@ritter-vogt.de
- Update to 5.9.0 final
* Fri May 26 2017 jengelh@inai.de
- Redo description.
* Wed May 24 2017 fabian@ritter-vogt.de
- Update to 5.9.0 RC:
  * For more details please see:
    http://lists.qt-project.org/pipermail/announce/2017-May/000115.html
    and https://wiki.qt.io/New_Features_in_Qt_5.9
* Sat Jan 21 2017 tittiatcoke@gmail.com
- Initial package for 5.7.1
